# $Revision: 1.16 $, $Date: 2001/02/04 19:46:22 $
Summary:	Firewall SysV-init style start-up script
Summary(pl):	Skrypt startowy firewalla
Name:		firewall-init
Version:	2.99.0
Release:	1
License:	GPL
Group:		Networking/Admin
Group(de):	Netzwerkwesen/Administration
Group(pl):	Sieciowe/Administacyjne
Source0:	ftp://ftp.pld.org.pl/software/firewall-init/%{name}-%{version}.tar.gz
Requires:	iptables
Prereq:		rc-scripts
Prereq:		/sbin/chkconfig
Buildarch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Firewall-init is meant to provide an easy to use interface to start
and stopping the kernel IP packet filter through iptables(8).

%description -l pl
Dziki firewall-init uzyskuje si atwy interfejs do startowania i
stopowania filtrw IP jdra poprzez iptables(8).

%prep
%setup -q

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

gzip -9nf README

%post
/sbin/chkconfig --add firewall

%postun
if [ "$1" = "0" ]; then
	/sbin/chkconfig --del firewall
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(640,root,root,750)
%doc README.gz
%verify(not size mtime md5) %config(noreplace) /etc/sysconfig/firewall
%verify(not size mtime md5) %config(noreplace) /etc/sysconfig/firewall.d/*
%attr(754,root,root) /etc/rc.d/init.d/firewall
%dir /etc/sysconfig/firewall.d

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <pld-list@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: firewall-init.spec,v $
Revision 1.16  2001/02/04 19:46:22  kloczek
- adapterized and some cosmetics.

Revision 1.15  2001/02/04 16:30:52  orzech
- Updated to 2.1

Revision 1.14  2001/02/01 16:27:34  kloczek
- Requires for rc-scripts changed to Prereq.

Revision 1.13  2000/05/18 20:18:39  kloczek
- spec adapterized.

Revision 1.12  2000/04/01 11:14:26  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.11  2000/03/28 17:17:31  arturs
typo

Revision 1.10  2000/03/28 16:54:17  baggins
- translated kloczkish into english

Revision 1.9  2000/02/02 11:05:20  waszi

- small fixes in permissions for pam.d or init.d

Revision 1.8  1999/12/10 19:25:31  kloczek
- release 2,
- fixed dependences (added missing "Requires: rc-scripts").

Revision 1.7  1999/07/26 09:26:33  misiek
- added missing translations

Revision 1.6  1999/07/12 23:05:56  kloczek
- added using CVS keywords in %changelog (for automating them).

* Tue Jul 06 1999 Jan Rkorajski <baggins@pld.org.pl>
  [2.0-1]
- converted to ipchains
- new source URL

* Thu Oct 29 1998 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [1.2-6]
- added support for chconfig (firewall-chconfig.patch and %post{un}
  sections).

* Wed Jul 15 1998 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [1.2-5]
- added status and extstatus functionality to init script.

* Thu Jul  9 1998 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [1.2-4]
- added -q %setup parameter,
- added using %%{name}, %%{version} macros in Buildroot and Source,
- spec file rewritten for using Buildroot,
- added %clean section,
- removed Packager field from spec (if you want recompile package and
  redistribute this package later put this in your private .rpmrc). 
- replaced "mkdir -p" with "install -d" in %install,
- added %defattr and %attr macros in %files (allows building package from
  non-root account),
- changed permission for config files with firewall rules to 700,
- added %verify(not size mtime md5) for config files with firewall rules,
- added Summary field,
- changed build architecture to noarch,
- added restart and probe10min functionality to init script (probe10min 
  helps on experiments with new FW rules),
- added noreplace parameter for %config for config files with firewall
  rules.

* Mon Aug 18 1997 Bryan C. Andregg <bandregg@redhat.com>
  [1.2-3]
Fixed error handling typo.
Removed handling of the 'any' case in favor of 'any/0'
Added masquerading notes in README.
Added empty config files.

* Sun Aug 17 1997 Bryan C. Andregg <bandregg@redhat.com>
Major bug fixes.
Added 'Requires' field.
Changes S9 to S09 in the rc.d runlevel dirs.
Fixed spelling errors.
Changed %config to %dir for /etc/sysconfig/firewall-rules.

* Wed Aug 13 1997 Bryan C. Andregg <bandregg@redhat.com>
Fixed numerous spelling errors.
Added stderr redirection to > /dev/null and logging of errors to syslogd.
Fixed bugs in /etc/rc.d/init.d/firewall
Changed version to 1.1.
Added support for ANY|any keyword in addrs,masks and ports.
Added accounting rule set.
Fixed xxx.xxx.xxx.xxx netmask format bug.
Cleaned up firewall.init.

* Tue Aug 12 1997 Bryan C. Andregg <bandregg@redhat.com>
Included README.
Moved /etc/sysconfig/firewall-ruels/input to %doc/input.example.
Initial build.
